Still not obsolete, for Seamonkey Rated 5 out of 5 stars

Works perfectly on Seamonkey 2.31, once installed.
To install it, I bumped the "maxVersion" for Seamonkey in its install.rdf to "2.*"; no other changes needed.